Bug 241703 - Add `Set-Cookie` as a forbidden header name
Summary: Add `Set-Cookie` as a forbidden header name
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-06-16 15:24 PDT by Luca Casonato
Modified: 2022-08-11 01:33 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Casonato 2022-06-16 15:24:56 PDT
The Fetch spec has added the `Set-Cookie` header to forbidden request header names. See https://github.com/whatwg/fetch/pull/1453.
Comment 1 Radar WebKit Bug Importer 2022-06-23 15:25:12 PDT
<rdar://problem/95811508>
Comment 2 Charlie Wolfe 2022-07-26 15:10:01 PDT
Pull request: https://github.com/WebKit/WebKit/pull/2756
Comment 3 EWS 2022-08-11 01:33:22 PDT
Committed 253325@main (593162b00deb): <https://commits.webkit.org/253325@main>

Reviewed commits have been landed. Closing PR #2756 and removing active labels.